Bug 474444 - Zero-length pid files cause resource start failures
Zero-length pid files cause resource start failures
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
All Linux
low Severity medium
: rc
: ---
Assigned To: Marek Grac
Cluster QE
Depends On:
Blocks: 480828
  Show dependency treegraph
Reported: 2008-12-03 16:12 EST by Lon Hohberger
Modified: 2009-09-02 07:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 480828 (view as bug list)
Last Closed: 2009-09-02 07:05:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Preliminary patch (650 bytes, patch)
2008-12-03 16:12 EST, Lon Hohberger
no flags Details | Diff
Final patch (657 bytes, patch)
2009-01-20 14:27 EST, Marek Grac
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2008-12-03 16:12:49 EST
Created attachment 325599 [details]
Preliminary patch

config-utils.sh has check_pid_file() which is a little too zealous in its checks.

For example, if a PID file exists but is of zero length, a start for a service might fail.

This patch unlinks a zero-length PID file, since it's not useful data.  I don't know whether or not it's correct to do this generally.

This issue was first reported in bug 462910 .
Comment 1 Marek Grac 2009-01-20 14:27:04 EST
Created attachment 329501 [details]
Final patch

Patch follows the idea of preliminary patch. Test & remove were moved to better section as there is a bug in proposed patch (-z will test for length of string; not length of filename).
Comment 4 errata-xmlrpc 2009-09-02 07:05:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.